# File: Makefile [rmagick-2.13.2 Documentation]

### Home Classes Methods

### Files

- MANIFEST
- Makefile

### Class Index

Quicksearch

- Magick
- Magick::DestroyedImageError
- Magick::Draw
- Magick::Enum
- Magick::FatalImageMagickError
- Magick::Geometry
- Magick::GeometryValue
- Magick::GradientFill
- Magick::HatchFill
- Magick::IPTC
- Magick::IPTC::Application
- Magick::IPTC::Envelope
- Magick::IPTC::ObjectData
- Magick::IPTC::Post_ObjectData_Descriptor
- Magick::IPTC::Pre_ObjectData_Descriptor
- Magick::Image
- Magick::Image::DrawOptions
- Magick::Image::Info
- Magick::Image::PolaroidOptions
- Magick::Image::View
- Magick::Image::View::Pixels
- Magick::Image::View::Rows
- Magick::ImageList
- Magick::ImageList::Montage
- Magick::ImageMagickError
- Magick::OptionalMethodArguments
- Magick::Pixel
- Magick::RVG
- Magick::RVG::Circle
- Magick::RVG::ClipPath
- Magick::RVG::Describable
- Magick::RVG::Duplicatable
- Magick::RVG::Ellipse
- Magick::RVG::Embellishable
- Magick::RVG::Group
- Magick::RVG::Image
- Magick::RVG::ImageConstructors
- Magick::RVG::Line
- Magick::RVG::Path
- Magick::RVG::PathData
- Magick::RVG::Pattern
- Magick::RVG::PolyShape
- Magick::RVG::Polygon
- Magick::RVG::Polyline
- Magick::RVG::PreserveAspectRatio
- Magick::RVG::Rect
- Magick::RVG::ShapeConstructors
- Magick::RVG::Stretchable
- Magick::RVG::StructureConstructors
- Magick::RVG::Stylable
- Magick::RVG::Text
- Magick::RVG::TextBase
- Magick::RVG::TextConstructors
- Magick::RVG::Transformable
- Magick::RVG::Use
- Magick::RVG::UseConstructors
- Magick::RVG::Utility
- Magick::RVG::Utility::DefaultTextStrategy
- Magick::RVG::Utility::GraphicContext
- Magick::RVG::Utility::LRTextStrategy
- Magick::RVG::Utility::RLTextStrategy
- Magick::RVG::Utility::TBTextStrategy
- Magick::RVG::Utility::TextAttributes
- Magick::RVG::Utility::TextStrategy
- Magick::TextureFill
- Object

No matching classes.

SHELL = /bin/sh

# V=0 quiet, V=1 verbose. other values don't work. V = 0 Q1 = $(V:1=) Q = $(Q1:0=@) n=$(NULLCMD) ECHO1 = $(V:1=@$n) ECHO = $(ECHO1:0=@echo)

#### Start of system configuration section. ####

srcdir = . topdir = /usr/local/include/ruby-1.9//amd64-freebsd8/ruby/ hdrdir = /usr/local/include/ruby-1.9/ arch_hdrdir = /usr/local/include/ruby-1.9//$(arch) VPATH = $(srcdir):$(arch_hdrdir)/ruby:$(hdrdir)/ruby prefix = $(DESTDIR)/usr/local rubylibprefix = $(DESTDIR)/usr/local/lib/ruby exec_prefix = $(prefix) vendorhdrdir = $(rubyhdrdir)/vendor_ruby sitehdrdir = $(rubyhdrdir)/site_ruby rubyhdrdir = $(DESTDIR)/usr/local/include/ruby-1.9/ vendordir = $(DESTDIR)/usr/local/lib/ruby/vendor_ruby sitedir = $(DESTDIR)/usr/local/lib/ruby/site_ruby ridir = $(datarootdir)/$(RI_BASE_NAME) mandir = $(DESTDIR)/usr/local/man localedir = $(datarootdir)/locale libdir = $(exec_prefix)/lib psdir = $(docdir) pdfdir = $(docdir) dvidir = $(docdir) htmldir = $(docdir) infodir = $(DESTDIR)/usr/local/info docdir = $(DESTDIR)/usr/local/share/doc/ruby19 oldincludedir = $(DESTDIR)/usr/include includedir = $(prefix)/include localstatedir = $(prefix)/var sharedstatedir = $(prefix)/com sysconfdir = $(prefix)/etc datadir = $(datarootdir) datarootdir = $(prefix)/share libexecdir = $(exec_prefix)/libexec sbindir = $(exec_prefix)/sbin bindir = $(exec_prefix)/bin rubylibdir = $(rubylibprefix)/$(ruby_version) archdir = $(rubylibdir)/$(arch) sitelibdir = $(sitedir)/$(ruby_version) sitearchdir = $(sitelibdir)/$(sitearch) vendorlibdir = $(vendordir)/$(ruby_version) vendorarchdir = $(vendorlibdir)/$(sitearch)

NULLCMD = :

CC = cc CXX = c++ LIBRUBY = $(LIBRUBY_SO) LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a LIBRUBYARG_SHARED = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME) LIBRUBYARG_STATIC = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME)-static empty = OUTFLAG = -o $(empty) COUTFLAG = -o $(empty)

RUBY_EXTCONF_H = extconf.h cflags = $(optflags) $(debugflags) $(warnflags) optflags = -O3 debugflags = warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration CFLAGS = -fPIC -I/usr/local/include/ImageMagick $(ARCH_FLAG) INCFLAGS = -I. -I$(arch_hdrdir) -I$(hdrdir)/ruby/backward -I$(hdrdir) -I$(srcdir) DEFS = CPPFLAGS = -DRUBY_EXTCONF_H="$(RUBY_EXTCONF_H)" -I/usr/local/include/ImageMagick CXXFLAGS = $(CFLAGS) -O2 -pipe -fno-strict-aliasing ldflags = -L/usr/local/lib -lMagickCore dldflags = -L/usr/local/lib ARCH_FLAG = DLDFLAGS = $(ldflags) $(dldflags) $(ARCH_FLAG) LDSHARED = $(CC) -shared LDSHAREDXX = $(CXX) -shared AR = ar EXEEXT =

RUBY_BASE_NAME = ruby RUBY_INSTALL_NAME = ruby19 RUBY_SO_NAME = ruby19 arch = amd64-freebsd8 sitearch = $(arch) ruby_version = 1.9 ruby = /usr/local/bin/ruby19 RUBY = $(ruby) RM = rm -f RM_RF = $(RUBY) -run -e rm -- -rf RMDIRS = rmdir -p MAKEDIRS = /bin/mkdir -p INSTALL = /usr/bin/install -c -o root -g wheel INSTALL_PROG = $(INSTALL) -m 0755 INSTALL_DATA = install -o root -g wheel -m 444 COPY = cp TOUCH = exit >

#### End of system configuration section. ####

preload =

libpath = . $(libdir) LIBPATH = -L. -L$(libdir) -Wl,-R$(libdir) DEFFILE =

CLEANFILES = mkmf.log DISTCLEANFILES = DISTCLEANDIRS =

extout = extout_prefix = target_prefix = LOCAL_LIBS = -L/usr/local/lib -lMagickCore LIBS = $(LIBRUBYARG_SHARED) -lexecinfo -lpthread -lcrypt -lm -L/usr/local/lib -Wl,-rpath=/usr/lib:/usr/local/lib -pthread -lc SRCS = rmimage.c rmmontage.c rminfo.c rmfill.c rmenum.c rmstruct.c rmmain.c rmutil.c rmagick.c rmdraw.c rmpixel.c rmilist.c OBJS = rmimage.o rmmontage.o rminfo.o rmfill.o rmenum.o rmstruct.o rmmain.o rmutil.o rmagick.o rmdraw.o rmpixel.o rmilist.o TARGET = RMagick2 TARGET_NAME = RMagick2 TARGET_ENTRY = Init_$(TARGET_NAME) DLLIB = $(TARGET).so EXTSTATIC = STATIC_LIB =

BINDIR = $(bindir) RUBYCOMMONDIR = $(sitedir)$(target_prefix) RUBYLIBDIR = /usr/local/lib/ruby/gems/1.9/gems/rmagick-2.13.2/lib$(target_prefix) RUBYARCHDIR = /usr/local/lib/ruby/gems/1.9/gems/rmagick-2.13.2/lib$(target_prefix) HDRDIR = $(rubyhdrdir)/ruby$(target_prefix) ARCHHDRDIR = $(rubyhdrdir)/$(arch)/ruby$(target_prefix)

TARGET_SO = $(DLLIB) CLEANLIBS = $(TARGET).so CLEANOBJS = *.o *.bak

all: $(DLLIB) static: $(STATIC_LIB) .PHONY: all install static install-so install-rb .PHONY: clean clean-so clean-rb

clean-static |
clean-rb-default |
clean-rb |

clean-so

clean: clean-so clean-static clean-rb-default clean-rb

    -$(Q)$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES) .*.time

distclean-rb-default |
distclean-rb |

distclean-so

distclean: clean distclean-so distclean-rb-default distclean-rb

    @-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
    @-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
    @-$(RMDIRS) $(DISTCLEANDIRS) 2> /dev/null || true

realclean: distclean install: install-so install-rb

install-so: $(RUBYARCHDIR)/$(DLLIB) $(RUBYARCHDIR)/$(DLLIB): $(DLLIB)

    -$(Q)$(MAKEDIRS) $(@D)
    $(INSTALL_PROG) $(DLLIB) $(@D)

clean-static | -$(Q)$(RM) $(STATIC_LIB)

install-rb: pre-install-rb install-rb-default install-rb-default: pre-install-rb-default pre-install-rb: Makefile pre-install-rb-default: Makefile pre-install-rb-default:

    $(ECHO) installing default RMagick2 libraries

./.RUBYARCHDIR.time:

    $(Q) $(MAKEDIRS) $(RUBYARCHDIR)
    $(Q) $(TOUCH) $@

site-install: site-install-so site-install-rb site-install-so: install-so site-install-rb: install-rb

.SUFFIXES: .c .m .cc .mm .cxx .cpp .C .o

.cc.o:

    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.mm.o:

    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cxx.o:

    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.cpp.o:

    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.C.o:

    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<

.c.o:

    $(ECHO) compiling $(<)
    $(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

.m.o:

    $(ECHO) compiling $(<)
    $(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<

$(DLLIB): $(OBJS) Makefile

    $(ECHO) linking shared-object $(DLLIB)
    -$(Q)$(RM) $(@)
    $(Q) $(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)

$(OBJS): $(hdrdir)/ruby.h $(hdrdir)/ruby/defines.h Makefile rmagick.h $(RUBY_EXTCONF_H)

[Validate]

Generated with the Darkfish Rdoc Generator 2.